高危 Apache Shiro RequestDispatcher 权限绕过漏洞(CVE-2022-40664)

CVE编号

CVE-2022-40664

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-10-12
漏洞描述
2022年10月12日,Apache 官方披露 CVE-2022-40664 Apache Shiro 权限绕过漏洞。Shiro 1.10.0 之前版本,在代码中使用RequestDispatcher进行转发时可能存在认证绕过漏洞。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache shiro * Up to
(excluding)
1.10.0
运行在以下环境
系统 debian_10 shiro * Up to
(including)
1.3.2-4+deb10u1
运行在以下环境
系统 debian_11 shiro * Up to
(including)
1.3.2-4+deb11u1
运行在以下环境
系统 debian_12 shiro * Up to
(including)
1.3.2-5
运行在以下环境
系统 debian_sid shiro * Up to
(including)
1.3.2-5
阿里云评分
7.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-285 授权机制不恰当
CWE-287 认证机制不恰当
阿里云安全产品覆盖情况